{
    "type": "project",
    "license": "proprietary",
    "require": {
        "php": "^7.2.5",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "doctrine/annotations": "^1.10",
        "doctrine/doctrine-fixtures-bundle": "^3.3",
        "friendsofsymfony/ckeditor-bundle": "^2.2",
        "knplabs/knp-paginator-bundle": "^5.3",
        "sensio/framework-extra-bundle": "^5.1",
        "symfony/asset": "5.1.*",
        "symfony/console": "5.1.*",
        "symfony/dotenv": "5.1.*",
        "symfony/expression-language": "5.1.*",
        "symfony/flex": "^1.3.1",
        "symfony/form": "5.1.*",
        "symfony/framework-bundle": "5.1.*",
        "symfony/http-client": "5.1.*",
        "symfony/intl": "5.1.*",
        "symfony/mailer": "5.1.*",
        "symfony/mime": "5.1.*",
        "symfony/monolog-bundle": "^3.1",
        "symfony/notifier": "5.1.*",
        "symfony/orm-pack": "*",
        "symfony/process": "5.1.*",
        "symfony/security-bundle": "5.1.*",
        "symfony/serializer-pack": "*",
        "symfony/string": "5.1.*",
        "symfony/swiftmailer-bundle": "^3.4",
        "symfony/translation": "5.1.*",
        "symfony/twig-pack": "*",
        "symfony/validator": "5.1.*",
        "symfony/web-link": "5.1.*",
        "symfony/web-server-bundle": "4.4",
        "symfony/webpack-encore-bundle": "^1.7",
        "symfony/yaml": "5.1.*",
        "vich/uploader-bundle": "^1.15"
    },
    "require-dev": {        
        "symfony/debug-pack": "*",   
        "symfony/maker-bundle": "^1.0",     
        "symfony/profiler-pack": "*",
        "symfony/test-pack": "*"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": true,
            "require": "5.1.*"
        }
    }
}
